Package org.acplt.oncrpc.apps.jrpcgen

## Class JrpcgenProcedureInfo

- java.lang.Object
- - org.acplt.oncrpc.apps.jrpcgen.JrpcgenProcedureInfo

-     class JrpcgenProcedureInfo
      extends java.lang.Object

  The `JrpcgenProcedureInfo` class contains information about a specific version of an ONC/RPC program as defined in an rpcgen "x"-file.
  Version:
    $Revision: 1.3 $ $Date: 2003/08/14 11:26:50 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.Vector` | `parameters` | Parameter(s) to the remote procedure.
    `java.lang.String` | `procedureId` | Identifier assigned to the procedure number of an a particular procedure of a particular version of an ONC/RPC program.
    `java.lang.String` | `procedureNumber` | Procedure number assigned to the procedure of a particular verions of an ONC/RPC program.
    `java.lang.String` | `resultType` | Type specifier of the result returned by the remote procedure.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JrpcgenProcedureInfo​(java.lang.String procedureId, java.lang.String procedureNumber, java.lang.String resultType, java.util.Vector parameters)` | Constructs a new `JrpcgenProcedureInfo` object containing information about a programs' version and a set of procedures defined by this program version.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### procedureNumber

          public java.lang.String procedureNumber

      Procedure number assigned to the procedure of a particular verions of an ONC/RPC program. This attribute contains either an integer literal or an identifier (which must resolve to an integer).

    - #### procedureId

          public java.lang.String procedureId

      Identifier assigned to the procedure number of an a particular procedure of a particular version of an ONC/RPC program.

    - #### resultType

          public java.lang.String resultType

      Type specifier of the result returned by the remote procedure.

    - #### parameters

          public java.util.Vector parameters

      Parameter(s) to the remote procedure.

  - ### Constructor Detail

    - #### JrpcgenProcedureInfo

          public JrpcgenProcedureInfo​(java.lang.String procedureId,
                                      java.lang.String procedureNumber,
                                      java.lang.String resultType,
                                      java.util.Vector parameters)

      Constructs a new `JrpcgenProcedureInfo` object containing information about a programs' version and a set of procedures defined by this program version.
      Parameters:
        `procedureId` - Identifier assigned to the procedure of a particular version of an ONC/RPC program.
        `procedureNumber` - Procedure number assigned to remote procedure.
        `resultType` - Type specifier of result returned by remote procedure.
        `parameters` - Type specifier of parameter to the remote procedure.